%define upstream_name    Mojolicious
%define upstream_version 7.36

%global __requires_exclude perl\\(EV\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A next generation web framework for Perl
License:    Artistic 2.0
Group:      Development/Perl
Url:        http://mojolicious.org/
Source0:    http://www.cpan.org/authors/id/S/SR/SRI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-IO-Socket-IP
BuildRequires: perl(JSON::PP) >= 2.271.30
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Time::Local) >= 1.200.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Back in the early day of the web there was this wonderful Perl library
called CGI, many people only learned Perl because of it. It was simple
enough to get started without knowing much about the language and powerful
enough to keep you going, learning by doing was much fun. While most of the
techniques used are outdated now, the idea behind it is not. Mojolicious is
a new attempt at implementing this idea using state of the art technology.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %buildroot
%make_install

%files
%doc Changes LICENSE META.json META.yml examples
%{_bindir}/mojo
%{_bindir}/hypnotoad
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%_bindir/morbo

%changelog
* Tue Jul 17 2018 adrianomorselli <adrianomorselli> 7.360.0-1uplos2018
- update
